Page MenuHomePhabricator

Changes in $wgNamespacesWithSubpages for ru.wikisource
Closed, ResolvedPublic

Description

Set $wgNamespacesWithSubpages to true (1) for NS=10 (NS_TEMPLATE) for ru.wikisource.

I.e., remove

'+ruwikisource' => array( 10 => 0 ),

in InitialiseSettings.php.

It seems to be there simply due to historical reasons (old default data, right?). The local community decided to move to the current default data for this namespace like it used in ru.wikipedia and many other wikisource sister projects.

Thanks.
Link to the local discussion amongst sysops: here. No voices against.

Event Timeline

Hinote created this task.Jan 24 2016, 6:32 PM
Hinote raised the priority of this task from to Normal.
Hinote updated the task description. (Show Details)
Hinote added a subscriber: Hinote.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2016, 6:32 PM

Setting project to "Wikimedia-Site-Requests" project as this request is about settings / configuration of a Wikimedia website. For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJan 24 2016, 6:39 PM
Hinote updated the task description. (Show Details)Jan 24 2016, 6:43 PM
Hinote set Security to None.
Hinote updated the task description. (Show Details)
Base added a subscriber: Base.Jan 24 2016, 8:24 PM

why was the discussion just amongst the sysops?

Hinote added a comment.EditedJan 24 2016, 8:58 PM

why was the discussion just amongst the sysops?

According to the project rules, administrators (sysops) besides rights to perform maintenance tasks have also ''responsibilities'' to perform maintenance tasks. Changing project configuration can also be considered as a kind of maintenance task. So, when I proposed the change and started the local discussion, I would like to foremost find out opinions of our administrators, mostly those of them, who have appropriate technical knowledge. Many Wikisource users (including active, with additional rights in the project) have small knowledge on wiki engine technical details, since Wikisource project have completely concrete subjet area -- it's literature and historical source materials. All maintenance tasks are led by a small amount of sysop users. It's not a crowd project like ru.wikipedia, for example. We do have our local customs, which are followed by the most active users participating in the project for long time. However, anyway, the discussion was held on a page, which is available for ANY ru.wikisource users for editing. No objections from other users (and no objections from the sysops) were brought out. What's the reason of your question? Do you have any doubts on our local consensus? It's matter of the project how we define local rules for voting and local definition for project consensus, right? It's not a matter for discussion here. You are free to go to the project page with discussion stated above and formulate your objections there, if you have any relations with the project.

There would be a big problem if only sysops were able to participate, but I think if it's fine if it just so happens that only sysops choose to participate.

There would be a big problem if only sysops were able to participate

Hmm, explain me please why this would be a problem since this change relates to the project configuration and these are admins who are responsible for project maintenance tasks, not other ordinal or anonymous users? I have not seen any directives that the discussion on project configuration changes should be made on the wide basis among all users... This may have sense for crowd projects like wikipedia sister projects. At wikisource, most of our active users (and some of sysops, hehe, that's true) have strong knowledge in literature or historical siences and have no opinion on what the project configuration is and what is the wikinamespace besides that it's a prefix used in the pagenames.

So, to clarify the actual details of the discussion, when I started the discussion, I stated there that I would like to know the opinions of our administrators, that we should discuss this change among administrators of the project. However, the page where the discussion (not very active, though) was held is not protected for all other users. So other users could place their objections or suggestions, if any.

There would be a big problem if only sysops were able to participate

Hmm, explain me please why this would be a problem

We generally require community discussion for changing a specific wiki's site configuration.

since this change relates to the project configuration and these are admins who are responsible for project maintenance tasks, not other ordinal or anonymous users?

This doesn't really change much.

I have not seen any directives that the discussion on project configuration changes should be made on the wide basis among all users...

We don't really need to have warned people in advance what will be required for a config change (there's so many things that can be changed and there may be different requirements for each), but here: https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes - specifically "Gather local on-wiki community consensus for the change"

This may have sense for crowd projects like wikipedia sister projects. At wikisource, most of our active users (and some of sysops, hehe, that's true) have strong knowledge in literature or historical siences and have no opinion on what the project configuration is and what is the wikinamespace besides that it's a prefix used in the pagenames.

That's fine, they don't have to participate, but they need to have the option to do so.

Hinote added a comment.EditedJan 24 2016, 10:46 PM

We generally require community discussion for changing a specific wiki's site configuration.

Well, you are not quite correct here to my opinion. I just would like to note that, from the formal point of view, the rules on placing such requests for changing configuration (as described in here on meta) include "local on-wiki consensus" as a requirement (and only for non low-activity communities). The community consensus and the community discussion, in general, are a bit different procedures, since local community rules may define different local definitions on how the local consensus is reached, right?

And, once again, just to avoid further speculations, I'd like to declare that, yes, we have local consensus for this configuration change.

Dereckson added a subscriber: Dereckson.

Please include everyone to the current or a new discussion.

Alternatively, you can also discuss your last statement on the local wiki and get an explicit consensus only sysops can discuss about config changes. If you got that, we'll see if it's acceptable or if more input from the global community is needed on meta. to determine if that's or not compatible with the idea of "local project consensus".

Okay, no problem. We're going to perform new wide local discussion. Not a problem at all.

Hinote added a comment.Feb 2 2016, 6:28 PM

The new wide local discussion (with all users invited via Sitenotice message) was started on 26.01.2016. Planned duration: one month (till 26.02.2016). The discussion is located here.

Our discussion is closed. See results here.

Please remove the Community-consensus-needed tag if it fits your sence of community consensus,

Hmm, Should I remove the Community-consensus-needed tag by myself in order to make this issue active again?

Change 276737 had a related patch set uploaded (by Pmlineditor):
Set $wgNamespacesWithSubpages to true for NS_TEMPLATE for ru.wikisource

https://gerrit.wikimedia.org/r/276737

Hi there, so what's the current planned deployment date? We (admins @ ru.ws) need to be prepared if something goes wrong with our templates after this change...

Dereckson added a comment.EditedMar 23 2016, 3:08 AM

@Hinote I can schedule it for deployment at the date you prefer among those:

  • Wednesday, March 23 16:00 UTC+1
  • Wednesday, March 23 23:59 UTC+1
  • Thursday, March 24 16:00 UTC+1
  • Thursday, March 24 23:59 UTC+1
  • Monday, March 28 17:00 UTC+2

These time at the start of our deployment windows, so it's more like 16:xx than 16:00. If you're on IRC, for example on #wikimedia-tech, I can ping you at the exact moment it's deployed.

Please also provide me an URL of a template with a subpage, so we can test if all works fine without having to pollute the wiki with a dummy edit.

Okay. I'm adding it to this evening SWAT window so. Thank you for the URL samples.

Thanks. I'll be logged in on #wikimedia-tech as well...

Change 276737 merged by jenkins-bot:
Set $wgNamespacesWithSubpages to true for NS_TEMPLATE for ru.wikisource

https://gerrit.wikimedia.org/r/276737

Dereckson closed this task as Resolved.Mar 24 2016, 11:14 PM

Deployed during 2016-03-24 evening SWAT.

Thanks @Pmlineditor for the change contribution and @Hinote for your assistance testing the change.